%global debug_package %{nil}

Name:       simavr
Version:    1.7
Release:    1%{?dist}
Summary:    Simavr is a lean, mean and hackable AVR simulator for linux & OSX 
License:    GPL-2
URL:        https://github.com/buserror/simavr
Source0:    https://github.com/buserror/simavr/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

Patch1:     %{name}-%{version}-build.patch

BuildRequires: automake
BuildRequires: gcc
BuildRequires: avr-gcc
BuildRequires: avr-libc
BuildRequires: freeglut-devel
BuildRequires: elfutils-libelf-devel
BuildRequires: ncurses-devel

%description
A new AVR simulator for linux, or any platform that uses avr-gcc.
It uses avr-gcc's own register definition to simplify creating new targets for 
supported AVR devices. The core was made to be small and compact, and hackable so allow 
quick prototyping of an AVR project. The AVR core is now stable for use with 
parts with <= 128KB flash, and with preliminary support for the bigger parts.
The simulator loads ELF files directly, and there is even a way to specify 
simulation parameters directly in the emulated code using an .elf section.
You can also load multipart HEX files.

%package        devel
Summary:        Headers and libraries for AVR simulator
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains headers and libraries required to build applications that
use the AVR simulator.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%make_build RELEASE=1

%install
%make_install \
	LIB_INSTALL_DIR=%{_libdir} \
	INCLUDE_INSTALL_DIR=%{_includedir} \
	BIN_INSTALL_DIR=%{_bindir} \
	RELEASE=1

rm "%{buildroot}/%{_libdir}/libsimavr.a"
rm "%{buildroot}/%{_libdir}/libsimavrparts.a"

%files
%{_bindir}/simavr
%{_libdir}/libsimavr.so
%{_libdir}/libsimavr.so.1
%{_libdir}/libsimavrparts.so
%{_libdir}/libsimavrparts.so.1
%{_libdir}/pkgconfig/*
%doc README.md
%license COPYING

%files devel
%{_includedir}/%{name}

%changelog
* Sun Aug 29 10:55:41 MSK 2021 Yury Martynov <email@linxon.ru> - 1.7-1
- Initial package
